% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\name{get_term_info_content}
\alias{get_term_info_content}
\title{Get information content of each term in a set of phenotypes}
\usage{
get_term_info_content(ontology, term_sets, patch_missing = FALSE)
}
\arguments{
\item{ontology}{\code{ontology_index} object.}

\item{term_sets}{List of character vectors of ontological term IDs.}

\item{patch_missing}{Logical indicating whether to include all ontology terms even if they're not present in the \code{term_sets} as if they had occurred once}
}
\value{
Numeric vector of information contents, named by corresponding terms. Takes into account ancestors, in the sense that all ancestor terms implied by the phenotypes are considered 'on'
}
\description{
Get information content of each term in a set of phenotypes
}
\examples{
data(hpo)
get_term_info_content(hpo, list("HP:0001873"))
}

